.block-resolve {
  @extend .shadow-sm;
  background-color: $white;
  border-radius: $border-radius;
  padding: $spacer;

  header {
    h2 {
      margin: 0;
      font-size: $h5-font-size;
    }

    div { margin-top: map-get($spacers, 3); }
  }
}

.resolves-stats { margin-top: $spacer; }

.resolves-user-info {
  display: flex;
  align-items: center;
  margin: 0;
  padding-top: map-get($spacers, 2);
  border-top: 1px solid $gray-300;

  h3 {
    margin: 0 auto 0 0;
    font-size: $font-size-base;
    overflow: hidden;
    text-overflow: ellipsis;

    a {
      white-space: nowrap;

      // @note Code partially taken from .author from /organisms/_card.node.scss
      // @todo Refactor to use unified %placeholder
      transition: color .3s ease-in-out;
      text-decoration: none;
      color: unset;
      position: relative;
      z-index: 2;
      display: flex;
      align-items: center;

      img { margin-right: map-get($spacers, 1); border-radius: 50%; }
    }
  }

  dl {
    margin: 0 0 0 map-get($spacers, 2);
    display: flex;
    align-items: center;
    flex-shrink: 0;
  }

  dt { display: none; }

  dd {
    padding: $badge-padding-y $badge-padding-x;
    border-width: 1px;
    border-style: solid;
    border-color: $gray-400;
    font-size: $badge-font-size;
    font-weight: $badge-font-weight;
    border-radius: $badge-border-radius;

    &:nth-of-type(1) {
      background-color: $gray-100;
      border-right-width: 0;
      border-top-right-radius: 0;
      border-bottom-right-radius: 0;
    }
    &:nth-of-type(2) {
      border-radius: 0;
      background-color: $gray-300;
      border-left-width: 0;
      border-right-width: 0;
    }
    &:nth-of-type(3) {
      border-top-left-radius: 0;
      border-bottom-left-radius: 0;
      border-left-width: 0;
      background-color: $green-500;
      color: $white;
      border-color: $green-500;
    }
  }
}
